{% extends 'base.html.twig' %}

{% block title %}Benutzerliste{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <table class="table">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Email</th>
                        <th>Firma</th>
                        <th>Produkte</th>
                        <th>Aktionen</th>
                    </tr>
                </thead>
                {% for user in users %}
                    <tr>
                        <td>{{ user.id }}</td>
                        <td>{{ user.email }}</td>
                        <td>{{ user.company.name }}</td>
                        <td>
                            <ul class="list-group list-group-flush">
                                {% for product in user.company.products %}
                                    <li class="list-group-item">{{ product.name }}</li>
                                {% endfor %}
                            </ul>
                        </td>
                        <td><a href="{{ path('product_add', {'companyId': user.company.id}) }}">Produkt anlegen</a></td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    </div>
{% endblock %}
